#ifndef _EVAL_H
#define _EVAL_H

#include "linear.h"
#include <stdio.h>

#ifdef __cplusplus
extern "C" {
#endif

/* predict function */
void binary_class_predict(FILE *input, FILE *output, const struct model *model_); 

typedef double (*eval_func) (const size_t, const double *, const int *);

eval_func get_evaluation_function();

int check_binary_beforeCV(const struct problem *prob, int *ty);
	
#ifdef __cplusplus
}
#endif

#endif
